import { AmbientLight } from 'three';
import type CustomThreeLayer from '@vuemap/vue-amap/es/packages/three/ThreeLayer/CustomThreeLayer';
interface Options {
    color: string;
    intensity: number;
}
declare class ThreeLightAmbient {
    object: AmbientLight | null;
    layer: CustomThreeLayer | null;
    constructor(layer: CustomThreeLayer, options: Options);
    setColor(color: string): void;
    getColorHex(color: string): number;
    setIntensity(intensity: number): void;
    refresh(): void;
    remove(): void;
    destroy(): void;
}
export default ThreeLightAmbient;
